# executionData

open fun executionData(files: Array<Any>)

Adds execution data files to be used during coverage analysis.

#### Parameters

files

one or more files to add

open fun executionData(tasks: Array<Task>)

Adds execution data generated by a task to the list of those used during coverage analysis. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.

#### Parameters

tasks

one or more tasks to add

open fun executionData(tasks: TaskCollection)

Adds execution data generated by the given tasks to the list of those used during coverage analysis. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.

#### Parameters

tasks

one or more tasks to add